View Issue Details

IDProjectCategoryView StatusLast Update
0000742SymmetricDSBugpublic2014-02-02 20:52
ReporterevfvadimAssigned Tochenson 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0.10 
Target Version3.1.0Fixed in Version3.1.0 
Summary0000742: "ORA-01000: maximum open cursors exceeded" during initial load (RouterService.insertInitialLoadEvents)
DescriptionThis happens when number of tables is big enough (650 in our case).

The cause of problem is missing JdbcSqlTemplate.close() calls for PreparedStatement in several places in org.jumpmind.db.sql.JdbcSqlTemplate.
TagsNo tags attached.

Activities

evfvadim

2012-07-29 13:52

reporter  

JdbcSqlTemplate.java (28,415 bytes)

evfvadim

2012-07-29 13:54

reporter   ~0000040

Last edited: 2012-07-29 13:55

View 2 revisions

Attached fixed JdbcSqlTemplate - I don't have permissions to commit for some reason.

chenson

2012-07-29 14:57

administrator   ~0000041

Are you sure your changes are in JdbcSqlTemplate? I don't see any difference from the trunk version.

evfvadim

2012-07-29 15:06

reporter  

JdbcSqlTransaction.java (12,633 bytes)

evfvadim

2012-07-29 15:07

reporter   ~0000042

Sorry, you are right, the bug was in JdbcSqlTransaction (the fix is attached).

chenson

2012-07-29 15:11

administrator   ~0000043

I see the issue you are describing in JdbsSqlTransaction. Is that where you made the fix?

evfvadim

2012-07-29 15:14

reporter   ~0000044

Yes

Related Changesets

SymmetricDS: master f5824b05

2012-07-29 15:11:53

chenson

Details Diff
0000742: "ORA-01000: maximum open cursors exceeded" during initial load (RouterService.insertInitialLoadEvents)
0000742
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTransaction.java Diff File

Issue History

Date Modified Username Field Change
2012-07-29 13:37 evfvadim New Issue
2012-07-29 13:52 evfvadim File Added: JdbcSqlTemplate.java
2012-07-29 13:54 evfvadim Note Added: 0000040
2012-07-29 13:55 evfvadim Note Edited: 0000040 View Revisions
2012-07-29 14:57 chenson Note Added: 0000041
2012-07-29 15:05 chenson Assigned To => chenson
2012-07-29 15:05 chenson Status new => assigned
2012-07-29 15:06 chenson Fixed in Version => 3.1.0
2012-07-29 15:06 chenson Target Version => 3.1.0
2012-07-29 15:06 evfvadim File Added: JdbcSqlTransaction.java
2012-07-29 15:07 evfvadim Note Added: 0000042
2012-07-29 15:11 chenson Note Added: 0000043
2012-07-29 15:14 evfvadim Note Added: 0000044
2012-07-29 16:45 chenson Status assigned => resolved
2012-07-29 16:45 chenson Resolution open => fixed
2012-08-14 07:58 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6105
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f5824b05